%%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a 
cls
@ECHO OFF&PUSHD %~DP0 &TITLE Yy语音绿化卸载 By:乐魂a
mode con cols=48 lines=22
:Menu
Cls
@ echo.  
@ echo.  选项：
@ echo.     
@ echo.   1.绿化[必须执行]
@ echo.     
@ echo.   2.创建桌面图标
@ echo.  
@ echo.   3.清除旧版本残留文件
@ echo.  
@ echo.  
@ echo.   @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@ echo.   @   上列三个菜单更新版本时无需重复运行   @
@ echo.   @   电脑没有做系统，一次绿化一直可以用   @
@ echo.   @                                        @
@ echo.   @     如果之前使用过官方或别的绿化版     @
@ echo.   @       请先执行3选项清除残留文件        @
@ echo.   @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@ echo.      
set /p xj= 输入数字选项按回车：
if /i "%xj%"=="1" Goto Install
if /i "%xj%"=="2" Goto Icon
if /i "%xj%"=="3" Goto Uninstall
@ echo.
echo  选择无效，请重新输入
ping -n 2 127.1>nul
goto menu

:Install
md "%AppData%\duowan\yy\business" 2>NUL
md "%AppData%\duowan\yy\yycomstore\2052" 2>NUL
md "%AppData%\duowan\yy\openplatform\addons\platform" 2>NUL

echo. >"%AppData%\0F01352E-94DF-4A62-B30E-A19806922546" 2>NUL
echo. >"%AppData%\B4F9E660-3974-4E79-8450-C37D99502759" 2>NUL
echo. >"%AppData%\duowan\yy\setup" 2>NUL
echo. >"%AppData%\duowan\yy\update" 2>NUL
echo. >"%AppData%\duowan\yygame" 2>NUL
echo. >"%AppData%\duowan\yygame5" 2>NUL
echo. >"%AppData%\duowan\gamebox" 2>NUL
echo. >"%AppData%\duowan\YYExplorer" 2>NUL
echo. >"%AppData%\duowan\yy\yyapkinst" 2>NUL
echo. >"%AppData%\duowan\yyedownloader" 2>NUL
echo. >"%AppData%\duowan\yygamestore" 2>NUL
echo. >"%AppData%\duowan\phonetreasure" 2>NUL
echo. >"%AppData%\duowan\yy\business\gameproxy" 2>NUL
echo. >"%AppData%\duowan\yy\business\gamesmilies" 2>NUL
echo. >"%AppData%\duowan\yy\openplatform\aggame" 2>NUL
echo. >"%AppData%\duowan\yy\openplatform\addons\platform\20011" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.apppush" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.apphelper" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.bzAssistant" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gameproxy" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamestore" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamewakuang" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamechannel" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamechannelbaby" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamecard" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamelivecard" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.garbagecleaner" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamenotify" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamesmilies" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamewakuang" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gameproxy" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.kuaikuai" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.yycgame" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.kefu" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.dianhushow" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.phonetreasure" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.logingiftbag" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.dianhuservice" 2>NUL

attrib +r "%AppData%\0F01352E-94DF-4A62-B30E-A19806922546" 2>NUL
attrib +r "%AppData%\B4F9E660-3974-4E79-8450-C37D99502759">NUL 2>NUL
attrib +r "%AppData%\duowan\phonetreasure" 2>NUL
attrib +r "%AppData%\duowan\yy\setup">NUL 2>NUL
attrib +r "%AppData%\duowan\yy\update">NUL 2>NUL
attrib +r "%AppData%\duowan\yygame">NUL 2>NUL
attrib +r "%AppData%\duowan\yygame5">NUL 2>NUL
attrib +r "%AppData%\duowan\gamebox">NUL 2>NUL
attrib +r "%AppData%\duowan\yy\business">NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yyapkinst">NUL 2>NUL
attrib +r "%AppData%\duowan\yygamestore">NUL 2>NUL
attrib +r "%AppData%\duowan\yyedownloader">NUL 2>NUL
attrib +r "%AppData%\duowan\yy\cache\wonderworld" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\cache\download\constancy">NUL 2>NUL
attrib +r "%AppData%\duowan\yyedownloader">NUL 2>NUL
attrib +r "%AppData%\duowan\yy\business\gameproxy" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\business\gamesmilies" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\openplatform\aggame" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\openplatform\addons\platform\20011" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.apppush" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.apphelper">NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.bzAssistant">NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gameproxy" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamestore" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamewakuang" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamechannel" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamechannelbaby" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamenotify" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamesmilies" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamewakuang" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gameproxy" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.kuaikuai" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.yycgame" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.kefu" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.dianhushow" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamecard" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamelivecard" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.garbagecleaner" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.phonetreasure" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.logingiftbag" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.dianhuservice" >NUL 2>NUL
@ echo.
echo  绿化完成
ping -n 2 140.1>nul
goto menu

:Icon
:: 创建桌面图标
@ echo.
echo  正在创建桌面图标，请稍等
ping -n 2 127.1>nul
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\Yy语音.lnk""):b.TargetPath=""%~dp0YY.exe"":b.WorkingDirectory=""%~dp0Bin"":b.Save:close")
@ echo.
echo  已创建桌面图标，请尽情使用吧
ping -n 2 140.1>nul
goto menu

:Uninstall
echo  正在清除数据
taskkill /f /im YY* >NUL 2>NUL
taskkill /f /im Ilc* >NUL 2>NUL
taskkill /f /im adb.exe >NUL 2>NUL
@ echo.
rd /s /q "%CommonProgramFiles%\duowan"2>NUL
rd /s /q "%CommonProgramFiles(x86)%\duowan"2>NUL
del /f/s/q "%AppData%\duowan\*" >NUL 2>NUL
rd/s/q "%AppData%\duowan"2>NUL
ping 127.0.0.1 /n 5 >NUL 2>NUL
rd/s/q "%AppData%\duowan"2>NUL
reg delete  HKCU\Software\duowan /f>NUL 2>NUL
@ echo.
echo  清除数据完成
ping -n 2 140.1>nul
goto menu